This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121112 - ls displays cyrillic characters during install
ls displays cyrillic characters during install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-17 08:07 EDT by István Tóth
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.00.pre8-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 21:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description István Tóth 2004-04-17 08:07:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7b)
Gecko/20040316

Description of problem:
I was trying to install Fedora Core 2 devel from internet via FTP on
April 17. ( The boot is's date is 2004 April 16)

During install, I had some problems, so I switched to the console on
tty2 to do some debugging. I found that "ls" displays everything with
cyrillic fonts. The rest of the output is done with latin fonts, as it
should be. 

During install, I chose english language, and hungarian keyboard (FYI
hungarian uses latin-2, and not cyrillic fonts)

"echo *" displayed the filenames with latin font, as it should.

Version-Release number of selected component (if applicable):
2004 April 16

How reproducible:
Always

Steps to Reproduce:
1. Start install
2. Switch to console while anaconda is running
3. type "ls"
    

Actual Results:  I saw some cyrillic text, that looked like the output
of ls should, only with wrong font.

Expected Results:  ls outputting the file names with latin characters

Additional info:
Comment 1 Jeremy Katz 2004-04-17 11:59:57 EDT
busybox ls is doing color ls again
Comment 2 Mike Shaver 2004-04-29 17:46:01 EDT
I saw this with US keyboard selected, English (US) and English
(Canada) installed, and English (Canada) selected as default. 
HTTP+text install of FC2T3.
Comment 3 Mike Shaver 2004-04-29 17:47:34 EDT
Forgot: env shows:
LANGKEY=en
LANG=en_US.UTF-8
LINGUAS=en_US.UTF-8
Comment 4 Jeremy Katz 2004-04-29 18:35:44 EDT
Fixed with busybox-1.00.pre8-3

Note You need to log in before you can comment on or make changes to this bug.